define("io.ox/backbone/tests/forms",["io.ox/core/extensions","io.ox/backbone/modelFactory","io.ox/backbone/views","io.ox/backbone/forms","io.ox/backbone/tests/recipeApi"],function(a,b,c,d,e){var f="io.ox/lessons/recipes/model/"+_.now(),g=new b({ref:f,api:e});"use strict";a.point("test/suite").extend({id:"backbone-forms",index:100,test:function(a){a.describe("ErrorAlerts",function(){a.it("should show a generic error message",function(){var b,e,f,h="io.ox/backbone/tests/testView-"+_.now(),i=c.point
(h);i.extend(new d.ErrorAlert({id:"error-alert"}));b=g.create();e=i.createView();f=(new e({model:b})).render().$el;b.trigger("backendError",{error:"No connection to database"});a.expect(f.find(".error-alerts .alert").length).not.toEqual(0)});a.it("should allow users to format an error",function(){var b,e,f,h="io.ox/backbone/tests/testView-"+_.now(),i=c.point(h);i.extend(new d.ErrorAlert({id:"error-alert",formatError:function(a){return"Something went very wrong here: "+a.error}}));b=g.create();e=i
.createView();f=(new e({model:b})).render().$el;b.trigger("backendError",{error:"No connection to database"});a.expect(f.find(".error-alerts .alert").length).not.toEqual(0);a.expect(f.find(".error-alerts .alert").text()).toMatch(/.*?No connection to database.*/)})});a.describe("ControlGroup",function(){a.it("should draw a control conforming to bootstraps horizontal-form conventions",function(){var b,e,f,h="io.ox/backbone/tests/testView-"+_.now(),i=c.point(h);i.extend(new d.ControlGroup({id:"title"
,attribute:"title",label:"Title",control:'<input type="text">'}));b=g.create({title:"A glass of water"});e=i.createView({tagName:"form",className:"form-horizontal"});f=(new e({model:b})).render().$el;a.expect(f.find(".control-group").length).toEqual(1);a.expect(f.find(".control-group label.control-label").length).toEqual(1);a.expect(f.find(".control-group .controls").length).toEqual(1);a.expect(f.find(".control-group .controls input[type=text]").length).toEqual(1);a.expect(f.find(".control-group label.control-label"
).text()).toEqual("Title");a.expect(f.find(".control-group .controls input[type=text]").val()).toEqual("A glass of water")});a.it("should react to model changes",function(){var b,e,f,h="io.ox/backbone/tests/testView-"+_.now(),i=c.point(h);i.extend(new d.ControlGroup({id:"title",attribute:"title",label:"Title",control:'<input type="text">'}));b=g.create({title:"A glass of water"});e=i.createView({tagName:"form",className:"form-horizontal"});f=(new e({model:b})).render().$el;a.expect(f.find(".control-group .controls input[type=text]"
).val()).toEqual("A glass of water");b.set("title","A glass of water á la niçoise");a.expect(f.find(".control-group .controls input[type=text]").val()).toEqual("A glass of water á la niçoise")});a.it("should react to user input",function(){var b,e,f,h,i="io.ox/backbone/tests/testView-"+_.now(),k=c.point(i);k.extend(new d.ControlGroup({id:"title",attribute:"title",label:"Title",control:'<input type="text">'}));b=g.create({title:"A glass of water"});e=k.createView({tagName:"form",className:"form-horizontal"
});f=(new e({model:b})).render().$el;h=f.find(".control-group .controls input[type=text]");a.expect(h.val()).toEqual("A glass of water");h.val("A glass of water á la niçoise");h.trigger("change");a.expect(b.get("title")).toEqual("A glass of water á la niçoise")});a.it("should toggle between valid and invalid states according to the model events",function(){var b,e,f,h,i="io.ox/backbone/tests/testView-"+_.now(),k=c.point(i);k.extend(new d.ControlGroup({id:"title",attribute:"title",label:"Title",control
:'<input type="text">'}));b=g.create({title:"A glass of water"});e=k.createView({tagName:"form",className:"form-horizontal"});f=(new e({model:b})).render().$el;h=f.find(".control-group");b.trigger("invalid:title",["The title is not french enough for real haute cuisine. Add the words 'á la niçoise', for example, to make it sound more sophisticated."]);a.expect(h.is(".error")).toEqual(!0);a.expect(h.find(".controls .help-block.error").length).toEqual(1);a.expect(h.find(".controls .help-block.error"
).text()).toMatch(/.*?The title is not french enough for real haute cuisine.*/);b.trigger("valid:title");a.expect(h.is(".error")).toEqual(!1);a.expect(h.find(".controls .help-block.error").length).toEqual(0)});a.it("should allow users to customize transfer of values between model and input",function(){var b,e,f,h,i="io.ox/backbone/tests/testView-"+_.now(),k=c.point(i);k.extend(new d.ControlGroup({id:"title",attribute:"title",label:"Title",control:'<input type="text">',setValueInModel:function(){this
.model.set("title",this.nodes.element.val().toLowerCase())},setValueInElement:function(){this.nodes.element.val(this.model.get("title").toUpperCase())}}));b=g.create({title:"A glass of water"});e=k.createView({tagName:"form",className:"form-horizontal"});f=(new e({model:b})).render().$el;h=f.find(".control-group .controls input[type=text]");a.expect(h.val()).toEqual("A GLASS OF WATER");h.val("A COLD GLASS OF WATER");h.trigger("change");a.expect(b.get("title")).toEqual("a cold glass of water");b.set
("title","a warm glass of water");a.expect(h.val()).toEqual("A WARM GLASS OF WATER")});a.it("should allow users to mark its attribute as only rarely showing up (i.e. once it has already been set)",function(){var b,e,f,h="io.ox/backbone/tests/testView-"+_.now(),i=c.point(h);i.extend(new d.ControlGroup({id:"title",attribute:"title",label:"Title",control:'<input type="text">',rare:!0}));b=g.create({});e=i.createView({tagName:"form",className:"form-horizontal"});f=(new e({model:b})).render().$el;a.expect
(f.find(".control-group").css("display")).toEqual("none");b.set("title","A glass of water");a.expect(f.find(".control-group").css("display")).not.toEqual("none")})});a.describe("InputField",function(){a.it("should be synchronized with its attribute",function(){var b,e,f,h,i="io.ox/backbone/tests/testView-"+_.now(),k=c.point(i);k.extend(new d.InputField({id:"title",attribute:"title",label:"Title",control:'<input type="text">'}));b=g.create({title:"A glass of water"});e=k.createView({tagName:"form"
});f=(new e({model:b})).render().$el;h=f.find("input[type=text]");a.expect(h.val()).toEqual("A glass of water");b.set("title","A glass of water á la niçoise");a.expect(h.val()).toEqual("A glass of water á la niçoise");h.val("A great glass of water");h.trigger("change");a.expect(b.get("title")).toEqual("A great glass of water")});a.it("should switch to invalid/valid states according to model events",function(){var b,e,f,h="io.ox/backbone/tests/testView-"+_.now(),i=c.point(h);i.extend(new d.InputField
({id:"title",attribute:"title",label:"Title",control:'<input type="text">',className:"find-me"}));b=g.create({title:"A glass of water"});e=i.createView({tagName:"form"});f=(new e({model:b})).render().$el.find(".find-me");b.trigger("invalid:title",["Not a nice title!"]);a.expect(f.is(".error")).toEqual(!0);a.expect(f.find(".help-block").text()).toMatch(/.*?Not a nice title!.*/);b.trigger("valid:title");a.expect(f.is(".error")).toEqual(!1);a.expect(f.find(".help-block").length).toEqual(0)})});a.describe
("CheckBoxField",function(){a.it("should be synchronized with its attribute",function(){var b,e,f,h,i="io.ox/backbone/tests/testView-"+_.now(),k=c.point(i);k.extend(new d.CheckBoxField({id:"favorite",attribute:"favorite",label:"Favorite"}));b=g.create({title:"A glass of water",favorite:!0});e=k.createView({tagName:"form"});f=(new e({model:b})).render().$el;h=f.find("input[type=checkbox]");a.expect(h.is(":checked")).toEqual(!0);b.set("favorite",!1);a.expect(h.is(":checked")).toEqual(!1);h.attr({checked
:!0});h.trigger("change");a.expect(b.get("favorite")).toEqual(!0);h.attr({checked:!1});h.trigger("change");a.expect(b.get("favorite")).toEqual(!1)});a.it("should switch to invalid/valid states according to model events",function(){var b,e,f,h="io.ox/backbone/tests/testView-"+_.now(),i=c.point(h);i.extend(new d.CheckBoxField({id:"favorite",attribute:"favorite",label:"Favorite",className:"find-me"}));b=g.create({title:"A glass of water",favorite:!0});e=i.createView({tagName:"form"});f=(new e({model
:b})).render().$el.find(".find-me");b.trigger("invalid:favorite",["It's not that nice, actually"]);a.expect(f.is(".error")).toEqual(!0);a.expect(f.find(".help-block").text()).toMatch(/.*?It's not that nice, actually.*/);b.trigger("valid:favorite");a.expect(f.is(".error")).toEqual(!1);a.expect(f.find(".help-block").length).toEqual(0)})});a.describe("SelectField",function(){a.it("should be synchronized with its attribute",function(){var b,e,f,h,i="io.ox/backbone/tests/testView-"+_.now(),k=c.point(i
);k.extend(new d.SelectBoxField({id:"difficulty",attribute:"difficulty",label:"Difficulty",selectOptions:{1:"Easy",2:"Normal",3:"Hard"}}));b=g.create({title:"A glass of water",difficulty:1});e=k.createView({tagName:"form"});f=(new e({model:b})).render().$el;h=f.find("select");a.expect(h.find("option[value=1]").text()).toEqual("Easy");a.expect(h.find("option[value=2]").text()).toEqual("Normal");a.expect(h.find("option[value=3]").text()).toEqual("Hard");a.expect(h.find("option[value=1]").is(":selected"
)).toEqual(!0);b.set("difficulty",2);a.expect(h.find("option[value=1]").is(":selected")).toEqual(!1);a.expect(h.find("option[value=2]").is(":selected")).toEqual(!0);h.val(3);h.trigger("change");a.expect(b.get("difficulty")).toEqual("3")});a.it("should switch to invalid/valid states according to model events",function(){var b,e,f,h="io.ox/backbone/tests/testView-"+_.now(),i=c.point(h);i.extend(new d.SelectBoxField({id:"difficulty",attribute:"difficulty",label:"Difficulty",selectOptions:{1:"Easy",2
:"Normal",3:"Hard"},className:"find-me"}));b=g.create({title:"A glass of water",difficulty:1});e=i.createView({tagName:"form"});f=(new e({model:b})).render().$el.find(".find-me");b.trigger("invalid:difficulty",["It's not that hard, actually"]);a.expect(f.is(".error")).toEqual(!0);a.expect(f.find(".help-block").text()).toMatch(/.*?It's not that hard, actually.*/);b.trigger("valid:difficulty");a.expect(f.is(".error")).toEqual(!1);a.expect(f.find(".help-block").length).toEqual(0)})});a.describe("SectionLegend"
,function(){a.it("should display a section title",function(){var b,e,f="io.ox/backbone/tests/testView-"+_.now(),g=c.point(f);g.extend(new d.SectionLegend({id:"legend",label:"Legend"}));b=g.createView();e=(new b).render().$el;a.expect(e.find("legend").length).toEqual(1);a.expect(e.find("legend").text()).toEqual("Legend")})});a.describe("Section",function(){a.it("should provide an extension point for section entries",function(){var b,e,f,h="io.ox/backbone/tests/testView-"+_.now(),i=c.point(h),k=h+"/section1"
,l=c.point(k);i.extend(new d.Section({id:"section1",title:"Section",ref:k}));l.extend(new d.InputField({id:"title",attribute:"title",label:"Title"}));b=g.create({title:"A glass of water",difficulty:1});e=i.createView();f=(new e({model:b})).render().$el;a.expect(f.find(".sectionheader a").text()).toEqual("Section")});a.it("should collapse completely if all entries are hidden",function(){var b,e,f,h="io.ox/backbone/tests/testView-"+_.now(),i=c.point(h),k=h+"/section1",l=c.point(k);i.extend(new d.Section
({id:"section1",title:"Section",ref:k}));l.extend(new d.InputField({id:"title",attribute:"title",label:"Title",className:"find-me"}),{hidden:!0});b=g.create({title:"A glass of water"});e=i.createView();f=(new e({model:b})).render().$el;a.expect(f.find(".sectionheader.collapsed a").text()).toEqual("Section");a.expect(f.find(".find-me").closest(".form-horizontal").css("display")).toEqual("none");f.find(".sectionheader.collapsed a").click();a.expect(f.find(".find-me").closest(".form-horizontal").css
("display")).toEqual("block")});a.it("should add a more/less toggle if some extensions are hidden",function(){var b,e,f,h="io.ox/backbone/tests/testView-"+_.now(),i=c.point(h),k=h+"/section1",l=c.point(k);i.extend(new d.Section({id:"section1",title:"Section",ref:k}));l.extend(new d.InputField({id:"title",attribute:"title",label:"Title",className:"find-me-title"}));l.extend(new d.InputField({id:"description",attribute:"description",label:"Description",className:"find-me-description"}),{hidden:!0})
;b=g.create({title:"A glass of water"});e=i.createView();f=(new e({model:b})).render().$el;a.expect(f.find(".sectionheader.collapsed a").text()).toEqual("Section");a.expect(f.find(".find-me-description").parent().css("display")).toEqual("none");f.find(".sectionheader a").click();a.expect(f.find(".find-me-description").parent().css("display")).toEqual("block")})})}});return{}});