define("io.ox/backbone/tests/model",["io.ox/core/extensions","io.ox/backbone/modelFactory","io.ox/backbone/tests/recipeApi"],function(a,b,c){var d="io.ox/lessons/recipes/model/"+(new Date).getTime(),e=new b({ref:d,api:c,model:{addIngredient:function(a){if(!_(this.get("ingredients")).contains(a)){this.get("ingredients").push(a);this.trigger("change");this.trigger("change:ingredients")}},removeIngredient:function(a){this.set("ingredients",_(this.get("ingredients")).without(a))}}});"use strict";a.point
("test/suite").extend({id:"backbone-model",index:100,test:function(b,f){b.describe("ModelFactory CRUD",function(){var a;b.it("should be able to load entries",function(){var a=null;b.spyOn(c,"get").andCallThrough();f.waitsFor(e.get({folder:12,id:1}).done(function(b){a=b}));b.runs(function(){b.expect(a).not.toBe(null);b.expect(a.get("folder_id")).toEqual(12);b.expect(a.get("id")).toEqual(1);b.expect(c.get).toHaveBeenCalledWith({folder:12,id:1})})});b.it("should be able to list folders",function(){var a=
null;b.spyOn(c,"getAll").andCallThrough();f.waitsFor(e.getAll({folder:12}).done(function(b){a=b}));b.runs(function(){b.expect(a.length).toEqual(3);b.expect(_(a).pluck("id")).toEqual([1,2,3]);b.expect(c.getAll).toHaveBeenCalledWith({folder:12})})});b.it("should be able to bulk-load entries",function(){var a=null;b.spyOn(c,"getList").andCallThrough();f.waitsFor(e.realm((new Date).getTime()).getList([{id:1,folder:12},{id:3,folder:12}]).done(function(b){a=b}));b.runs(function(){b.expect(a.length).toEqual
(2);b.expect(_(a).pluck("id")).toEqual([1,3]);b.expect(c.getList).toHaveBeenCalledWith([{id:1,folder:12},{id:3,folder:12}])})});a=null;b.it("should be able to create entries",function(){var d=e.create({title:"Test Recipe",folder_id:12});b.spyOn(c,"create").andCallThrough();f.waitsFor(d.save().done(function(b){a=b.id}));b.runs(function(){b.expect(a).not.toEqual(null);b.expect(c.create).toHaveBeenCalledWith({title:"Test Recipe",folder_id:12})})});b.it("should be able to update entries",function(){var d
,g;b.expect(a).toBeDefined();b.expect(a).not.toEqual(null);d=new f.Done;g=null;b.spyOn(c,"update").andCallThrough();e.get({id:a,folder:12}).done(function(a){a.set("title","New Title");a.save().done(d.yep)});b.waitsFor(d,"timeout",5e3);f.waitsFor(e.get({id:a,folder:12}).done(function(a){g=a}));b.runs(function(){b.expect(g.get("title")).toEqual("New Title");b.expect(c.update).toHaveBeenCalledWith({id:a,folder:12,title:"New Title"})})});b.it("should be able to reload entries",function(){var d,g,h;b.
expect(a).toBeDefined();b.expect(a).not.toEqual(null);b.spyOn(c,"get").andCallThrough();d=null;g=null;h=new f.Done;e.get({id:a,folder:12}).done(function(a){g=a;d=a.get("title");a.set("title","Supercalifragilisticexpialidocious");a.fetch().done(h.yep)});b.waitsFor(h,"updated",5e3);b.runs(function(){b.expect(g.get("title")).toEqual(d);b.expect(c.get).toHaveBeenCalledWith({id:a,folder:12});b.expect(c.get).toHaveBeenCalledWith({id:a,folder:12})})});b.it("should be able to delete entries",function(){var d
;b.expect(a).toBeDefined();b.expect(a).not.toEqual(null);b.spyOn(c,"remove").andCallThrough();d=new f.Done;e.get({id:a,folder:12}).done(function(a){a.destroy().done(d.yep)});b.waitsFor(d,"updated",5e3);b.runs(function(){b.expect(c.remove).toHaveBeenCalledWith({id:a,folder:12})})})});b.describe("ModelFactory realms",function(){b.it("should provide different instances for different realms",function(){var a,c,d=e.realm("r1"),g=e.realm("r2");f.waitsFor(d.get({id:1,folder:12}).done(function(b){a=b}));
f.waitsFor(g.get({id:1,folder:12}).done(function(a){c=a}));b.runs(function(){b.expect(a).toBeDefined();b.expect(c).toBeDefined();a.set("title","new title");b.expect(c.get("title")).not.toEqual("new title");d.destroy();g.destroy()})});b.it("should update models in a different realm on update",function(){var a,c,d=e.realm("r1"),g=e.realm("r2");f.waitsFor(d.get({id:1,folder:12}).done(function(b){a=b}));f.waitsFor(g.get({id:1,folder:12}).done(function(a){c=a}));b.runs(function(){var e=new f.Done;b.expect
(a).toBeDefined();b.expect(c).toBeDefined();a.set("title","new title").save().done(function(){b.expect(c.get("title")).toEqual("new title");e.yep();d.destroy();g.destroy()});b.waitsFor(e,"checked",5e3)})});b.it("should trigger destroy events when a model was deleted in a different realm",function(){var a,c,d=e.realm("r1"),g=e.realm("r2");f.waitsFor(d.get({id:2,folder:12}).done(function(b){a=b}));f.waitsFor(g.get({id:2,folder:12}).done(function(a){c=a}));b.runs(function(){var d=new f.Done,e=!1;b.expect
(a).toBeDefined();b.expect(c).toBeDefined();c.on("destroy",function(){e=!0});a.destroy().done(function(){b.expect(e).toEqual(!0);d.yep()});b.waitsFor(d,"checked",5e3)})});b.it("should do reference counting",function(){var a=e.realm("r");b.spyOn(a,"destroy");a.retain().retain();a.release();b.expect(a.destroy).not.toHaveBeenCalled();a.release();b.expect(a.destroy).toHaveBeenCalled()})});b.describe("ModelFactory validation",function(){b.it("should run an extension for each attribute",function(){a.point
(d+"/validation/servings").extend({id:"servings-must-be-even",validate:function(a){_.isNumber(a)||(a=parseInt(a,10));if(a%2===1)return"Servings must be even"}});b.expect(e.create().set("servings",1).isValid()).toEqual(!1);b.expect(e.create().set("servings",2).get("servings")).toEqual(2)});b.it("should trigger 'invalid' and 'invalid:attribute' events",function(){var a,c,d=e.create();d.on("invalid",function(){a=!0});d.on("invalid:servings",function(){c=!0});d.set("servings",1);b.expect(a).toEqual(!0
);b.expect(c).toEqual(!0);b.expect(d.invalidAttributes()).toEqual(["servings"])});b.it("should run general validation extensions after attribute extensions",function(){var c=[];a.point(d+"/validation/servings").replace({id:"servings-must-be-even",validate:function(a){c.push("servings-must-be-even");_.isNumber(a)||(a=parseInt(a,10));if(a%2===1)return"Servings must be even"}});a.point(d+"/validation").extend({id:"general",validate:function(){c.push("general")}});e.create().set("servings",2);b.expect
(c).toEqual(["servings-must-be-even","general"])});b.it("should trigger a 'valid' event if the model becomes valid again",function(){var a,c,d,f=e.create();f.on("invalid",function(){a=!0});f.on("valid",function(){c=!0});f.on("valid:servings",function(){d=!0});f.set("servings",2);f.set("servings",1);f.set("servings",2);b.expect(f.get("servings")).toEqual(2);b.expect(a).toEqual(!0);b.expect(c).toEqual(!0);b.expect(d).toEqual(!0)});b.it("should work for attributes whose validity is dependant on each other"
,function(){var c;a.point(d+"/validation/servings").disable("servings-must-be-even");a.point(d+"/validation").extend({id:"servings-and-title",validate:function(a){if(a.servings){if(a.title&&/^The great/.test(a.title))return;a.servings%2===1&&this.add("servings","Servings must be equal, unless the title starts with 'The great'")}}});c=e.create();c.set("servings",2);b.expect(c.set("servings",1).isValid()).toEqual(!1);c.set("title","The great pancakes of yesteryear");b.expect(c.get("servings")).toEqual
(1);b.expect(c.get("title")).toEqual("The great pancakes of yesteryear")})});b.describe("ModelFactory change detection",function(){b.it("should track changes differing from the loaded state",function(){var a;f.waitsFor(e.get({id:1,folder:12}).done(function(b){a=b}));b.runs(function(){a.set({title:"Hello",servings:2});b.expect(a.isDirty()).toEqual(!0);b.expect(a.changedSinceLoading()).toEqual({title:"Hello",servings:2})})});b.it("should be able to handle array attributes",function(){var a;f.waitsFor
(e.realm(""+_.now()).get({id:1,folder:12}).done(function(b){a=b}));b.runs(function(){a.addIngredient("new ingredient");b.expect(a.isDirty()).toEqual(!0);b.expect(a.changedSinceLoading()).toEqual({ingredients:["A glass","Some Water","new ingredient"]})})})})}});return{}});