define("io.ox/backbone/tests/views",["io.ox/core/extensions","io.ox/backbone/modelFactory","io.ox/backbone/views","io.ox/backbone/tests/recipeApi"],function(a,b,c,d){var e=new b({ref:"io.ox/backbone/tests/views/factory"+_.now(),api:d});"use strict";a.point("test/suite").extend({id:"backbone-views",index:100,test:function(b){b.describe("view extension points",function(){b.it("should provide an extension point to draw into",function(){var a,d,e="io.ox/backbone/tests/testView-"+_.now(),f=c.point(e);
f.basicExtend({id:"testExtension",draw:function(){this.append($('<div class="find-me">').text("Hello"))}});a=f.createView();d=(new a).render().$el;b.expect(d.find(".find-me").text()).toEqual("Hello")});b.it("should be extensible through new views",function(){var a,d,e="io.ox/backbone/tests/testView-"+_.now(),f=c.point(e);f.extend({id:"view",tagName:"div",className:"find-me",render:function(){this.$el.text("Hello")}});a=f.createView();d=(new a).render().$el;b.expect(d.find(".find-me").text()).toEqual
("Hello")});b.it("should have extension views mark their node with extension-point, extension-id and objects composite id",function(){var a,d,f,g="io.ox/backbone/tests/testView-"+_.now(),h=c.point(g);h.extend({id:"view",tagName:"div",className:"find-me",render:function(){this.$el.text("Hello")}});a=h.createView();d=(new a({model:e.create({folder:12,id:23})})).render().$el;f=d.find(".find-me");b.expect(f.data("extension-id")).toEqual("view");b.expect(f.data("extension-point")).toEqual(g);b.expect(
String(f.data("composite-id"))).toEqual("12.23")});b.it("should provide access to the baton, model and element to extension views",function(){var d,f,g,h="io.ox/backbone/tests/testView-"+_.now(),i=c.point(h),k=null;i.extend({id:"view",tagName:"div",className:"find-me",render:function(){this.$el.text("Hello");k=this}});d=i.createView();f=e.create({folder:12,id:23});g=(new d({model:f})).render().$el;b.expect(k).not.toEqual(null);b.expect(k.baton).toBeDefined();b.expect(k.baton).not.toEqual(null);b.
expect(k.baton.model).toEqual(f);b.expect(k.baton instanceof a.Baton).toEqual(!0);b.expect(k.model).toBeDefined();b.expect(k.model).not.toEqual(null);b.expect(k.model).toEqual(f);b.expect(k.$el).toBeDefined();b.expect(k.$el).not.toEqual(null);b.expect(k.$el.text()).toEqual("Hello")});b.it("should automatically trigger update, invalid and valid methods",function(){var a,d,f="io.ox/backbone/tests/testView-"+_.now(),g=c.point(f),h={id:"view",tagName:"div",className:"find-me",render:function(){this.$el
.text("Hello")},update:function(){},modelInvalid:function(){},modelValid:function(){}};b.spyOn(h,"update");b.spyOn(h,"modelInvalid");b.spyOn(h,"modelValid");g.extend(h);a=g.createView();d=e.create({folder:12,id:23});(new a({model:d})).render();d.trigger("change");b.expect(h.update).toHaveBeenCalled();d.trigger("invalid");b.expect(h.modelInvalid).toHaveBeenCalled();d.trigger("valid");b.expect(h.modelValid).toHaveBeenCalled()});b.it("should allow extensions to observe an attribute",function(){var a
,d,f="io.ox/backbone/tests/testView-"+_.now(),g=c.point(f),h={id:"view",tagName:"div",className:"find-me",observe:"title",render:function(){this.$el.text("Hello")},onTitleChange:function(){},onTitleInvalid:function(){},onTitleValid:function(){}};b.spyOn(h,"onTitleChange");b.spyOn(h,"onTitleInvalid");b.spyOn(h,"onTitleValid");g.extend(h);a=g.createView();d=e.create({folder:12,id:23});(new a({model:d})).render();d.trigger("change:title");b.expect(h.onTitleChange).toHaveBeenCalled();d.trigger("invalid:title"
);b.expect(h.onTitleInvalid).toHaveBeenCalled();d.trigger("valid:title");b.expect(h.onTitleValid).toHaveBeenCalled()});b.it("should allow extensions to observe multiple attributes, and deal gracefully with snake-case or snake_case names",function(){var a,d,f="io.ox/backbone/tests/testView-"+_.now(),g=c.point(f),h={id:"view",tagName:"div",className:"find-me",observe:"title description servings-number recipe_dot_com_rating",render:function(){this.$el.text("Hello")},onTitleChange:function(){},onTitleInvalid
:function(){},onTitleValid:function(){},onDescriptionChange:function(){},onDescriptionInvalid:function(){},onDescriptionValid:function(){},onServingsNumberChange:function(){},onServingsNumberInvalid:function(){},onServingsNumberValid:function(){},onRecipeDotComRatingChange:function(){},onRecipeDotComRatingInvalid:function(){},onRecipeDotComRatingValid:function(){}};b.spyOn(h,"onTitleChange");b.spyOn(h,"onTitleInvalid");b.spyOn(h,"onTitleValid");b.spyOn(h,"onDescriptionChange");b.spyOn(h,"onDescriptionInvalid"
);b.spyOn(h,"onDescriptionValid");b.spyOn(h,"onServingsNumberChange");b.spyOn(h,"onServingsNumberInvalid");b.spyOn(h,"onServingsNumberValid");b.spyOn(h,"onRecipeDotComRatingChange");b.spyOn(h,"onRecipeDotComRatingInvalid");b.spyOn(h,"onRecipeDotComRatingValid");g.extend(h);a=g.createView();d=e.create({folder:12,id:23});(new a({model:d})).render();d.trigger("change:title");b.expect(h.onTitleChange).toHaveBeenCalled();d.trigger("invalid:title");b.expect(h.onTitleInvalid).toHaveBeenCalled();d.trigger
("valid:title");b.expect(h.onTitleValid).toHaveBeenCalled();d.trigger("change:description");b.expect(h.onDescriptionChange).toHaveBeenCalled();d.trigger("invalid:description");b.expect(h.onDescriptionInvalid).toHaveBeenCalled();d.trigger("valid:description");b.expect(h.onDescriptionValid).toHaveBeenCalled();d.trigger("change:servings-number");b.expect(h.onServingsNumberChange).toHaveBeenCalled();d.trigger("invalid:servings-number");b.expect(h.onServingsNumberInvalid).toHaveBeenCalled();d.trigger("valid:servings-number"
);b.expect(h.onServingsNumberValid).toHaveBeenCalled();d.trigger("change:recipe_dot_com_rating");b.expect(h.onRecipeDotComRatingChange).toHaveBeenCalled();d.trigger("invalid:recipe_dot_com_rating");b.expect(h.onRecipeDotComRatingInvalid).toHaveBeenCalled();d.trigger("valid:recipe_dot_com_rating");b.expect(h.onTitleValid).toHaveBeenCalled()});b.it("should be able to register listeners for model events",function(){var a,d,f="io.ox/backbone/tests/testView-"+_.now(),g=c.point(f),h={id:"view",tagName:"div"
,className:"find-me",modelEvents:{customEvent:"onCustomEvent"},render:function(){this.$el.text("Hello")},onCustomEvent:function(){}};b.spyOn(h,"onCustomEvent");g.extend(h);a=g.createView();d=e.create({folder:12,id:23});(new a({model:d})).render();d.trigger("customEvent");b.expect(h.onCustomEvent).toHaveBeenCalled()});b.it("should allow extensions to use the parent view as an event bus",function(){var a,d,f,g,h="io.ox/backbone/tests/testView-"+_.now(),i=c.point(h);i.extend({id:"view",tagName:"div"
,className:"find-me",render:function(){this.$el.text("Hello");this.baton.parentView.trigger("event")}});a=!1;d=i.createView();f=e.create({folder:12,id:23});g=new d({model:f});g.on("event",function(){a=!0});g.render();b.expect(a).toEqual(!0)});b.it("should allow sub extension points",function(){var a,d,f,g="io.ox/backbone/tests/testView-"+_.now(),h=c.point(g),i=h.createSubpoint("section1",{tagName:"div",className:"s1"}),k=h.createSubpoint("section2",{tagName:"div",className:"s2"});i.extend({id:"view1.1"
,tagName:"div",className:"view11",render:function(){this.$el.text("1.1")}});i.extend({id:"view1.2",tagName:"div",className:"view12",render:function(){this.$el.text("1.2")}});k.extend({id:"view2.1",tagName:"div",className:"view21",render:function(){this.$el.text("2.1")}});k.extend({id:"view2.2",tagName:"div",className:"view22",render:function(){this.$el.text("2.2")}});a=h.createView();d=e.create({folder:12,id:23});f=(new a({model:d})).render().$el;b.expect(f.find(".s1 .view11").text()).toEqual("1.1"
);b.expect(f.find(".s1 .view12").text()).toEqual("1.2");b.expect(f.find(".s2 .view21").text()).toEqual("2.1");b.expect(f.find(".s2 .view22").text()).toEqual("2.2")})});b.describe("AttributeView",function(){b.it("should display and update an attribute value",function(){var a,d,f,g="io.ox/backbone/tests/testView-"+_.now(),h=c.point(g);h.extend(new c.AttributeView({id:"title",tagName:"h1",attribute:"title"}));a=h.createView();d=e.create({folder:12,id:23,title:"original title"});f=(new a({model:d})).
render().$el;b.expect(f.find("h1").text()).toEqual("original title");d.set("title","updated title");b.expect(f.find("h1").text()).toEqual("updated title")});b.it("should be able to handle multiple attributes",function(){var a,d,f,g="io.ox/backbone/tests/testView-"+_.now(),h=c.point(g);h.extend(new c.AttributeView({id:"title",tagName:"h1",attribute:["title","subtitle"]}));a=h.createView();d=e.create({folder:12,id:23,title:"original title",subtitle:"subtitle"});f=(new a({model:d})).render().$el;b.expect
(f.find("h1").text()).toEqual("original title subtitle");d.set("title","updated title");b.expect(f.find("h1").text()).toEqual("updated title subtitle");d.set("subtitle","updated subtitle");b.expect(f.find("h1").text()).toEqual("updated title updated subtitle")});b.it("should allow a transformation function to be applied to values",function(){var a,d,f,g="io.ox/backbone/tests/testView-"+_.now(),h=c.point(g);h.extend(new c.AttributeView({id:"title",tagName:"h1",attribute:"title",transform:{title:function(
a){return"The great "+a}}}));a=h.createView();d=e.create({folder:12,id:23,title:"original title"});f=(new a({model:d})).render().$el;b.expect(f.find("h1").text()).toEqual("The great original title");d.set("title","updated title");b.expect(f.find("h1").text()).toEqual("The great updated title")})})}});return{}});